com.aliyun.svideosdk.mixrecorder

## Class AliyunMixStream

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixStream

-     public class AliyunMixStream
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunMixStream.Builder` `AliyunMixStream` builder static inner class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VideoDisplayMode` | `getDisplayMode()` Get the display mode of this stream.
    `java.lang.String` | `getFilePath()` Get the file path of stream
    `long` | `getStreamEndTimeMills()` Get the end time of this stream.
    `int` | `getStreamId()` Get the stream id
    `long` | `getStreamStartTimeMills()` Get the start time of this stream.
    `AliyunMixTrack` | `getTrack()` Get the track which the stream belongs
    `void` | `setStreamId(int streamId)` Set the stream id
    `void` | `setTrack(AliyunMixTrack track)` Set the track which the stream belongs

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setTrack

          public void setTrack(AliyunMixTrack track)

      Set the track which the stream belongs
      Parameters:
        `track` - the track which stream belong

    - #### setStreamId

          public void setStreamId(int streamId)

      Set the stream id
      Parameters:
        `streamId` - stream id

    - #### getTrack

          public AliyunMixTrack getTrack()

      Get the track which the stream belongs
      Returns:
        the track which stream belong

    - #### getStreamId

          public int getStreamId()

      Get the stream id
      Returns:
        the stream id

    - #### getFilePath

          public java.lang.String getFilePath()

      Get the file path of stream
      Returns:
        the file path of stream

    - #### getStreamStartTimeMills

          public long getStreamStartTimeMills()

      Get the start time of this stream. Unit : milliseconds
      Returns:
        The start time of stream

    - #### getStreamEndTimeMills

          public long getStreamEndTimeMills()

      Get the end time of this stream. Unit : milliseconds
      Returns:
        The end time of stream

    - #### getDisplayMode

          public VideoDisplayMode getDisplayMode()

      Get the display mode of this stream.
      Returns:
        The `mDisplayMode`.